Package com.usatiuk.kleppmanntree

# Interface Clock<TimestampT extends Comparable<TimestampT>>

public interface Clock<TimestampT extends Comparable<TimestampT>>

## Method Summary

Modifier and Type
Method
Description
`TimestampT`
`getTimestamp()`
`TimestampT`
`peekTimestamp()`
`TimestampT`
`updateTimestamp(TimestampT receivedTimestamp)`

## Method Details

### getTimestamp

TimestampT getTimestamp()

### peekTimestamp

TimestampT peekTimestamp()

### updateTimestamp

TimestampT updateTimestamp(TimestampT receivedTimestamp)